---
sidebar_position: 12
description: Get connection settings and other functions to work with FTP in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, FTP]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get connection settings
 Creates a structure of FTP connection settings



`Function GetConnectionSettings(Val Host, Val Port = 21, Val Login = Undefined, Val Password = Undefined, Val Passive = True, Val ReadTimeout = 120, Val WriteTimeout = 120, Val IPResolve = True) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Host | --host | String | &#x2714; | Host address |
  | Port | --port | Number | &#x2716; | Server port |
  | Login | --login | String, Undefined | &#x2716; | Username for authorization, if required |
  | Password | --pass | String, Undefined | &#x2716; | User password for authorization, if required |
  | Passive | --passive | Boolean | &#x2716; | Passive connection mode |
  | ReadTimeout | --rtout | Number | &#x2716; | Read timeout |
  | WriteTimeout | --wtout | Number | &#x2716; | Write timeout |
  | IPResolve | --ipresl | Boolean | &#x2716; | Advanced passive mode address resolution |

  
  Returns:  Structure Of KeyAndValue - Connection settings structure

:::tip
When `IPResolve = True`, the connection address returned by the server in passive mode after `PASV` will be replaced with the IP from the `Host` field, in cases when a proxy is used or the server returns `127.0.0.1` (only if an IP address is specified in the `Host` field))
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Host     = "172.33.0.10";
    Port     = "21";
    Login    = "bayselonarrend";
    Password = "12we...";

    Result = OPI_FTP.GetConnectionSettings(Host, Port, Login, Password);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint ftp GetConnectionSettings \
             --host "172.33.0.11" \
             --port 21 \
             --login "bayselonarrend" \
             --pass "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint ftp GetConnectionSettings ^
             --host "172.33.0.11" ^
             --port 21 ^
             --login "bayselonarrend" ^
             --pass "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "domain": "172.33.0.11",
 "port": 21,
 "passive": "***",
 "read_timeout": 120,
 "write_timeout": 120,
 "advanced_resolve": true,
 "login": "bayselonarrend",
 "password": "***"
}
```
